# Split consignments

Previously combined order -> split into unique consignments

Endpoint: POST /consignments/split
Version: 0.9.74
Security: bearer, apiKey, apiSecret

## Header parameters:

  - `Authorization` (string, required)

## Request fields (application/json):

  - `consignment` (object)

  - `consignment.nonce` (string)
    Nonce, a field that is not saved and returns exactly the same value you sent. This ensures you can identify your object that has been updated or created.

  - `consignment.versionNumber` (integer)

  - `consignment.hasAgreedToPrice` (boolean)

  - `consignment.orderType` (string)
    Enum: "standard", "urgent", "expected", "forwarded"

  - `consignment.name` (string)

  - `consignment.consignmentNr` (string)

  - `consignment.description` (string)

  - `consignment.status` (string)
    Enum: "draft", "requested", "confirmed", "in_transit", "completed", "cancelled", "partially_planned", "planned", "partially_completed", "partially_in_transit", "concept"

  - `consignment.highValueGoods` (boolean)

  - `consignment.goods` (array)

  - `consignment.goods.associationType` (string)
    Enum: "inline", "reference"

  - `consignment.team` (object)

  - `consignment.team.nonce` (string)
    Nonce, a field that is not saved and returns exactly the same value you sent. This ensures you can identify your object that has been updated or created.

  - `consignment.team.emailIntegration` (object)
    circular reference

  - `consignment.team.vehicleGroups` (array)

  - `consignment.team.vehicleGroups.nonce` (string)
    Nonce, a field that is not saved and returns exactly the same value you sent. This ensures you can identify your object that has been updated or created.

  - `consignment.team.vehicleGroups.name` (string)

  - `consignment.team.vehicleGroups.vehicles` (array)

  - `consignment.team.fleets` (array)

  - `consignment.team.fleets.nonce` (string)
    Nonce, a field that is not saved and returns exactly the same value you sent. This ensures you can identify your object that has been updated or created.

  - `consignment.team.fleets.vehicles` (array)

  - `consignment.team.fleets.vehicles.nonce` (string)
    Nonce, a field that is not saved and returns exactly the same value you sent. This ensures you can identify your object that has been updated or created.

  - `consignment.team.fleets.vehicles.fleet` (object)
    circular reference

  - `consignment.team.fleets.vehicles.order` (integer)

  - `consignment.team.fleets.vehicles.vehicle` (object)
    circular reference

  - `consignment.team.fleets.teams` (array)

  - `consignment.team.fleets.businesses` (array)

  - `consignment.team.fleets.name` (string)

  - `consignment.team.fleets.number` (string)

  - `consignment.team.features` (array)

  - `consignment.team.features.name` (string)

  - `consignment.team.features.accountTypes` (array)
    Enum: "default", "customer", "supplier", "planning", "financial"

  - `consignment.team.managers` (array)

  - `consignment.team.name` (string)

  - `consignment.team.transportOrderPrefix` (string)

  - `consignment.team.consignmentPrefix` (string)

  - `consignment.team.users` (array)

  - `consignment.consignment` (object)
    circular reference

  - `consignment.currentLocation` (object)
    circular reference

  - `consignment.currentLocation.administrativeReference` (object)

  - `consignment.currentLocation.administrativeReference.name` (string)

  - `consignment.currentLocation.administrativeReference.street` (string)

  - `consignment.currentLocation.administrativeReference.houseNumber` (string)

  - `consignment.currentLocation.administrativeReference.houseNumberAddition` (string)

  - `consignment.currentLocation.administrativeReference.postalCode` (string)

  - `consignment.currentLocation.administrativeReference.city` (string)

  - `consignment.currentLocation.administrativeReference.country` (string)

  - `consignment.currentLocation.lat` (number)

  - `consignment.currentLocation.lon` (number)

  - `consignment.currentLocation.speed` (object)

  - `consignment.currentLocation.speed.value` (string)

  - `consignment.currentLocation.speed.unit` (string)

  - `consignment.currentLocation.heading` (object)

  - `consignment.currentLocation.bearing` (object)

  - `consignment.currentLocation.bearingType` (string)
    Enum: "absolute", "relative"

  - `consignment.nextAction` (object)
    circular reference

  - `consignment.lastAction` (object)
    circular reference

  - `consignment.lastPlannedAction` (object)
    circular reference

  - `consignment.isPlannedToLastLocation` (boolean)

  - `consignment.documents` (array)

  - `consignment.actors` (array)

  - `consignment.actions` (array)

  - `consignment.pricingElements` (array)

  - `consignment.pricingElements.nonce` (string)
    Nonce, a field that is not saved and returns exactly the same value you sent. This ensures you can identify your object that has been updated or created.

  - `consignment.pricingElements.sequenceNr` (integer)

  - `consignment.pricingElements.quantity` (integer)

  - `consignment.pricingElements.name` (string)

  - `consignment.pricingElements.description` (string)

  - `consignment.pricingElements.category` (object)

  - `consignment.pricingElements.category.nonce` (string)
    Nonce, a field that is not saved and returns exactly the same value you sent. This ensures you can identify your object that has been updated or created.

  - `consignment.pricingElements.category.name` (string)

  - `consignment.pricingElements.category.creditCode` (string)

  - `consignment.pricingElements.category.debitCode` (string)

  - `consignment.pricingElements.category.defaultValue` (number)

  - `consignment.pricingElements.category.enabled` (boolean)

  - `consignment.pricingElements.category.tripRevenue` (boolean)

  - `consignment.pricingElements.category.identifiers` (array)

  - `consignment.pricingElements.category.identifiers.nonce` (string)
    Nonce, a field that is not saved and returns exactly the same value you sent. This ensures you can identify your object that has been updated or created.

  - `consignment.pricingElements.category.identifiers.name` (string)

  - `consignment.pricingElements.category.identifiers.system` (string)

  - `consignment.pricingElements.category.identifiers.value` (string)

  - `consignment.pricingElements.category.identifiers.expiredAt` (string)

  - `consignment.pricingElements.business` (object)
    circular reference

  - `consignment.pricingElements.amount` (object)

  - `consignment.pricingElements.amount.amount` (number)

  - `consignment.pricingElements.amount.currency` (object)

  - `consignment.pricingElements.amount.currency.nonce` (string)
    Nonce, a field that is not saved and returns exactly the same value you sent. This ensures you can identify your object that has been updated or created.

  - `consignment.pricingElements.amount.currency.name` (string)

  - `consignment.pricingElements.amount.currency.short` (string)

  - `consignment.pricingElements.amount.currency.sign` (string)

  - `consignment.pricingElements.amount.currency.decimalDelimiter` (string)

  - `consignment.pricingElements.amount.currency.thousandDelimiter` (string)

  - `consignment.pricingElements.amount.currency.enabled` (boolean)

  - `consignment.pricingElements.amount.taxRate` (object)

  - `consignment.pricingElements.amount.taxRate.nonce` (string)
    Nonce, a field that is not saved and returns exactly the same value you sent. This ensures you can identify your object that has been updated or created.

  - `consignment.pricingElements.amount.taxRate.creditCode` (string)

  - `consignment.pricingElements.amount.taxRate.debitCode` (string)

  - `consignment.pricingElements.amount.taxRate.identifiers` (array)

  - `consignment.pricingElements.amount.taxRate.name` (string)

  - `consignment.pricingElements.amount.taxRate.description` (string)

  - `consignment.pricingElements.amount.taxRate.jurisdiction` (string)

  - `consignment.pricingElements.amount.taxRate.percentage` (number)

  - `consignment.pricingElements.amount.taxRate.inclusive` (boolean)

  - `consignment.pricingElements.amount.taxRate.active` (boolean)

  - `consignment.pricingElements.amount.inclusiveOfTax` (boolean)

  - `consignment.pricingElements.subTotal` (object)

  - `consignment.pricingElements.tax` (object)

  - `consignment.pricingElements.total` (object)

  - `consignment.externalAttributes` (object)

  - `consignment.expectedRevenue` (object)

  - `consignment.expectedRevenue.amount` (number)

  - `consignment.expectedRevenue.currency` (object)

  - `consignment.expectedRevenue.taxRate` (object)

  - `consignment.expectedRevenue.inclusiveOfTax` (boolean)

  - `consignment.expectedRevenue.moneyBuildBlocks` (array)

  - `consignment.expectedRevenue.moneyBuildBlocks.amount` (number)

  - `consignment.expectedRevenue.moneyBuildBlocks.relationship` (object)

  - `consignment.expectedRevenue.moneyBuildBlocks.relationship.entityId` (string)

  - `consignment.expectedRevenue.moneyBuildBlocks.relationship.entityType` (string)
    Enum: "action", "attachTransportEquipmentAction", "detachTransportEquipmentAction", "stopAction", "loadAction", "unloadAction", "waitAction", "consignment", "extendedConsignment", "transportEquipment", "extendedTransportEquipment", "items", "goods", "constraint", "actor", "location", "route", "sensor", "vehicle", "extendedVehicle", "trip", "fleet", "transportOrder", "extendedTransportOrder", "business", "event", "locationUpdateEvent", "startMovingEvent", "startWaitingEvent", "stopEngineEvent", "stopMovingEvent", "message", "document", "chauffeur", "extendedChauffeur", "chauffeurTimeslot", "chat", "user", "administration", "fleetVehicle", "messageAutomation", "capacity_contract", "booking", "invoice", "invoice_line", "quote", "quote_line", "integration", "calendarEvent", "to_do"

  - `consignment.expectedCost` (object)

  - `consignment.combined` (boolean)

  - `consignment.type` (string)
    This field can be used to categorize and/or group shipments by type, depending on the needs of a specific logistic process.

  - `consignment.remark` (string)
    Remark concerning the complete consignment, to be printed on the transport document.

  - `consignment.constraints` (array)
    In the context of a Consignment, constraints can be used to e.g. define minimum or maximum temperatures for consignments, or date time constraints for delivery.

  - `consignment.constraints.nonce` (string)
    Nonce, a field that is not saved and returns exactly the same value you sent. This ensures you can identify your object that has been updated or created.

  - `consignment.constraints.name` (string, required)

  - `consignment.constraints.enforceability` (string)
    Enum: "enforced", "preference"

  - `consignment.constraints.type` (string)
    Enum: "accessConstraint", "timeConstraint", "timeWindowsConstraint", "startDateTimeConstraint", "endDateTimeConstraint", "sizeConstraint", "weightConstraint", "speedConstraint", "sensorValueConstraint", "fuelTypeConstraint", "vehicleTypeConstraint", "emissionStandardConstraint", "attributeConstraint", "transportEquipmentTypeConstraint", "routeConstraint", "andConstraint", "orConstraint", "notConstraint", "genericConstraint"

  - `consignment.identifiers` (array)

  - `consignment.attributes` (array)

  - `consignment.attributes.nonce` (string)
    Nonce, a field that is not saved and returns exactly the same value you sent. This ensures you can identify your object that has been updated or created.

  - `consignment.attributes.name` (string)

  - `consignment.attributes.color` (string)

  - `relatedConsignments` (array)

## Response 200 fields (application/json):

  - `success` (boolean)

  - `message` (string)

  - `code` (integer)

  - `totalResults` (integer)

  - `consignments` (array)

  - `consignments.id` (string, required)
    Uniquely identifies this entity. A ID can be assigned  or will be generated by the server if the request doesn't provide it. Once assigned, the ID can't be changed

  - `consignments.nonce` (string)
    Nonce, a field that is not saved and returns exactly the same value you sent. This ensures you can identify your object that has been updated or created.

  - `consignments.uuid` (string, required)

  - `consignments.primaryPlatformId` (string, required)

  - `consignments.createdAt` (string)
    The date and time this Entity has been created

  - `consignments.updatedAt` (string)
    The date and time this Entity has been updated

  - `consignments.language` (object)
    circular reference

  - `consignments.name` (string, required)
    Name of the Consignment. For display purposes and search only.

  - `consignments.consignmentNr` (string)

  - `consignments.description` (string)
    General description of consignment in Free text. e.g 20 europallets fruit. Meant for human inspection, not for automating processes.

  - `consignments.status` (string)
    Enum: "draft", "requested", "confirmed", "in_transit", "completed", "cancelled", "partially_planned", "planned", "partially_completed", "partially_in_transit", "concept"

  - `consignments.highValueGoods` (boolean)

  - `consignments.goods` (array)

  - `consignments.team` (object)
    circular reference

  - `consignments.combined` (boolean)

  - `consignments.consignment` (object)
    circular reference

  - `consignments.originalPhysicalSender` (object)
    circular reference

  - `consignments.originalLegalSender` (object)
    circular reference

  - `consignments.originalPhysicalAddressee` (object)
    circular reference

  - `consignments.originalLegalAddressee` (object)
    circular reference

  - `consignments.currentLocation` (object)
    circular reference

  - `consignments.currentLocation.administrativeReference` (object)

  - `consignments.currentLocation.lat` (number)

  - `consignments.currentLocation.lon` (number)

  - `consignments.currentLocation.speed` (object)

  - `consignments.currentLocation.heading` (object)

  - `consignments.currentLocation.bearing` (object)

  - `consignments.currentLocation.bearingType` (string)
    Enum: "absolute", "relative"

  - `consignments.nextAction` (object)
    circular reference

  - `consignments.lastAction` (object)
    circular reference

  - `consignments.lastPlannedAction` (object)
    circular reference

  - `consignments.isPlannedToLastLocation` (boolean)

  - `consignments.type` (string)
    This field can be used to categorize and/or group shipments by type, depending on the needs of a specific logistic process.

  - `consignments.remark` (string)
    Remark concerning the complete consignment, to be printed on the transport document.

  - `consignments.documents` (array)

  - `consignments.actors` (array)

  - `consignments.actions` (array)

  - `consignments.constraints` (array)
    In the context of a Consignment, constraints can be used to e.g. define minimum or maximum temperatures for consignments, or date time constraints for delivery.

  - `consignments.identifiers` (array)

  - `consignments.identifiers.id` (string, required)
    Uniquely identifies this entity. A ID can be assigned  or will be generated by the server if the request doesn't provide it. Once assigned, the ID can't be changed

  - `consignments.identifiers.nonce` (string)
    Nonce, a field that is not saved and returns exactly the same value you sent. This ensures you can identify your object that has been updated or created.

  - `consignments.identifiers.uuid` (string, required)

  - `consignments.identifiers.primaryPlatformId` (string, required)

  - `consignments.identifiers.createdAt` (string)
    The date and time this Entity has been created

  - `consignments.identifiers.updatedAt` (string)
    The date and time this Entity has been updated

  - `consignments.identifiers.language` (object)
    circular reference

  - `consignments.identifiers.name` (string)

  - `consignments.identifiers.system` (string)

  - `consignments.identifiers.value` (string)

  - `consignments.identifiers.expiredAt` (string)

  - `consignments.attributes` (array)

  - `consignments.attributes.id` (string, required)
    Uniquely identifies this entity. A ID can be assigned  or will be generated by the server if the request doesn't provide it. Once assigned, the ID can't be changed

  - `consignments.attributes.nonce` (string)
    Nonce, a field that is not saved and returns exactly the same value you sent. This ensures you can identify your object that has been updated or created.

  - `consignments.attributes.uuid` (string, required)

  - `consignments.attributes.primaryPlatformId` (string, required)

  - `consignments.attributes.createdAt` (string)
    The date and time this Entity has been created

  - `consignments.attributes.updatedAt` (string)
    The date and time this Entity has been updated

  - `consignments.attributes.language` (object)
    circular reference

  - `consignments.attributes.name` (string)

  - `consignments.attributes.color` (string)

  - `consignments.externalAttributes` (object)

  - `consignments.expectedRevenue` (object)

  - `consignments.expectedRevenue.id` (string, required)
    Uniquely identifies this entity. A ID can be assigned  or will be generated by the server if the request doesn't provide it. Once assigned, the ID can't be changed

  - `consignments.expectedRevenue.nonce` (string)
    Nonce, a field that is not saved and returns exactly the same value you sent. This ensures you can identify your object that has been updated or created.

  - `consignments.expectedRevenue.uuid` (string, required)

  - `consignments.expectedRevenue.primaryPlatformId` (string, required)

  - `consignments.expectedRevenue.createdAt` (string)
    The date and time this Entity has been created

  - `consignments.expectedRevenue.updatedAt` (string)
    The date and time this Entity has been updated

  - `consignments.expectedRevenue.language` (object)
    circular reference

  - `consignments.expectedRevenue.amount` (number)

  - `consignments.expectedRevenue.currency` (object)

  - `consignments.expectedRevenue.currency.id` (string, required)
    Uniquely identifies this entity. A ID can be assigned  or will be generated by the server if the request doesn't provide it. Once assigned, the ID can't be changed

  - `consignments.expectedRevenue.currency.nonce` (string)
    Nonce, a field that is not saved and returns exactly the same value you sent. This ensures you can identify your object that has been updated or created.

  - `consignments.expectedRevenue.currency.uuid` (string, required)

  - `consignments.expectedRevenue.currency.primaryPlatformId` (string, required)

  - `consignments.expectedRevenue.currency.createdAt` (string)
    The date and time this Entity has been created

  - `consignments.expectedRevenue.currency.updatedAt` (string)
    The date and time this Entity has been updated

  - `consignments.expectedRevenue.currency.language` (object)
    circular reference

  - `consignments.expectedRevenue.currency.name` (string)

  - `consignments.expectedRevenue.currency.short` (string)

  - `consignments.expectedRevenue.currency.sign` (string)

  - `consignments.expectedRevenue.currency.decimalDelimiter` (string)

  - `consignments.expectedRevenue.currency.thousandDelimiter` (string)

  - `consignments.expectedRevenue.currency.enabled` (boolean)

  - `consignments.expectedRevenue.taxRate` (object)

  - `consignments.expectedRevenue.inclusiveOfTax` (boolean)

  - `consignments.expectedRevenue.moneyBuildBlocks` (array)

  - `consignments.expectedCost` (object)

  - `consignments.expectedCost.id` (string, required)
    Uniquely identifies this entity. A ID can be assigned  or will be generated by the server if the request doesn't provide it. Once assigned, the ID can't be changed

  - `consignments.expectedCost.nonce` (string)
    Nonce, a field that is not saved and returns exactly the same value you sent. This ensures you can identify your object that has been updated or created.

  - `consignments.expectedCost.uuid` (string, required)

  - `consignments.expectedCost.primaryPlatformId` (string, required)

  - `consignments.expectedCost.createdAt` (string)
    The date and time this Entity has been created

  - `consignments.expectedCost.updatedAt` (string)
    The date and time this Entity has been updated

  - `consignments.expectedCost.language` (object)
    circular reference

  - `consignments.expectedCost.amount` (number)

  - `consignments.expectedCost.currency` (object)

  - `consignments.expectedCost.taxRate` (object)

  - `consignments.expectedCost.inclusiveOfTax` (boolean)

  - `consignments.versionNumber` (integer)

  - `consignments.nextPlanFromAction` (object)
    circular reference

## Response 400 fields (application/json):

  - `success` (boolean)

  - `message` (string)

  - `code` (integer)

  - `errors` (array)

  - `suggestion` (string)


